##### windows::basic_stream_handle::basic_stream_handle (1 of 6 overloads)

Construct a stream handle without opening it.

    basic_stream_handle(
        const executor_type & ex);

This constructor creates a stream handle without opening it.

###### Parameters

ex

  The I/O executor that the stream handle will use, by default, to dispatch handlers for any asynchronous operations performed on the stream handle.